
Redmine - Defect #11065

E-Mail submitted tickets: German umlauts in 'Subject' get malformed (ruby 1.8)

2012-05-31 12:02 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.0.3   

Resolution: Fixed Affected version: 2.0.1

Description

Hello

I'm currently in beta-tests for a new Helpdesk Solution for our company and I am really happy with almost everything - except the

weak mailfetch functions. But aside from some minor missing features I found a bug, which is critical for us:

I fetch mails like described in the documentation:

rake -f /var/www/redmine/Rakefile redmine:email:receive_pop3 RAILS_ENV='production' host=example.t

ld username=helpdesk@example.tld password=secret project=new_tickets

 The problem is, that whenever I have German Umlauts (öäü / Eg. 'ü') in the 'Subject' field, they are getting cut of (Eg. "Notebook

überhitzt" becomes "Notebook") when viewing the ticket in Redmine while the E-Mail notification shows strange characters instead of

the umlaut (it becomes a black rhombus with a queston-mark inside).

Creating tickets with umlauts in Redmine with the Webbrowser works as expected.

Rake About:

root@redmine01:/var/www/redmine# RAILS_ENV=production rake about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.3

Active Record version     3.2.3

Action Pack version       3.2.3

Active Resource version   3.2.3

Action Mailer version     3.2.3

Active Support version    3.2.3

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock, #<ActiveSupport::Cache:

:Strategy::LocalCache::Middleware:0xb6cd7538>, Rack::Runtime, Rack::MethodOverride, ActionDispatch

::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

 ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::Connection

Management, ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStor

e, ActionDispatch::Flash, ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet

, Rack::ETag, ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Application root          /var/www/redmine

Environment               production

Database adapter          mysql

Database schema version   20120422150750

 I would really appreciate any help

Best regards

Andreas Fries

Related issues:

Related to Redmine - Defect #11117: Mailhandler bug on french accent in mail ... Closed
Associated revisions

Revision 9796 - 2012-06-10 10:15 - Jean-Philippe Lang

Fixed: German umlauts in Subject get striped with ruby1.8 (#11065).

History

#1 - 2012-05-31 14:37 - Anonymous

Apropos:

While the text in the Subject is messed up, the text inside the mail is displayed perfectly right the ticket and in the ticket-notification-mail.

In the database (mysql) 'select subject from issues;' shows that the text is cut off after the first umlaut. (Only on tickets submitted by mail)

#2 - 2012-05-31 18:44 - Jean-Philippe Lang

Could you attach a raw email for which the problem occurs please?

#3 - 2012-06-01 15:51 - Anonymous

- File raw-mails.zip added

- Assignee set to Jean-Philippe Lang

Hi

Thanks for your reply. I have attached a ZIP File with 2 Folders inside. One from my mobile (handy),

one from Outlook Web Access (OWA).

I have found some new hints: Everything works fine, if i use my Android ICS Mobile Phone. With Outlook and Outlook Web Access (OWA) it won't

work.

Here is the part i suspect to be the Problem:

Android:

Subject: =?utf-8?B?VGVzdCBmcm9tIE1vYmlsZTogw6Qgw7wgw7YuLi4=?=

 OWA / Outlook:

Subject: =?iso-8859-1?Q?Testmail_from_Webmail:_=E4_=F6_=FC...?=

 Best regards

Andreas

#4 - 2012-06-01 19:46 - Jean-Philippe Lang

I've loaded the following email from your archive: owa/2715bc8b-c608-4403-a598-ed98800282d7/Original.eml and the subject of the created issue is:

with ruby1.8.7: "Testmail from Webmail: "

with ruby1.9.3: "Testmail from Webmail: ä ö ü..."

So it looks like there's no issue with ruby1.9.3. Tests done with MySQL.

#5 - 2012-06-01 19:58 - Jean-Philippe Lang

- Subject changed from E-Mail submitted tickets: German umlauts in 'Subject' get malformed to E-Mail submitted tickets: German umlauts in 'Subject'

get malformed (ruby 1.8)

- Status changed from New to Confirmed

#6 - 2012-06-04 14:39 - Anonymous

Thanks for the quick responses. I'll try to upgrade my Installation to Ruby 1.9.3.

I guess, it's nothing what is gonna get fixed anytime soon, if ever?

Best regards

Andreas

#7 - 2012-06-10 10:15 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved
- Target version set to 2.0.3

- Resolution set to Fixed

Fixed in r9796 for ruby1.8.

#8 - 2012-06-17 10:51 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#9 - 2014-03-19 09:53 - Ingo Siebeck

Why isn't this patch included in the redmine version 2.4?

within the mail_handler.rb the cleaned_up_subject function is still the old one.

#10 - 2014-03-19 11:35 - Toshi MARUYAMA

r11650 removed cleaned_up_subject code and tests passes.

It seems Rails 3.2.13 fixed this issue.

Files

raw-mails.zip 78.1 KB 2012-06-01 Anonymous
